package app

import (
	middleware "Ic_ouath/app/middlewares"
	"Ic_ouath/app/routers"
	"Ic_ouath/global"
	"github.com/gin-gonic/gin"
)

func InitRouter() error {
	engine := gin.New()
	//记录日志
	engine.Use(middleware.LoggerToFile())
	gin.SetMode(global.ServerSetting.Mode)
	routers.UserRouter(engine)
	return engine.Run(global.ServerSetting.Port)
}
